<?xml version="1.0" encoding="utf-8"?>
<Feature xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" SiLA2Version="1.0" FeatureVersion="4.3" Originator="tecan.sila.generator.test" Category="ambiguityresolver" xmlns="http://www.sila-standard.org">
  <Identifier>AmbiguityResolverService</Identifier>
  <DisplayName>Ambiguity Resolver Service</DisplayName>
  <Description />
  <DataTypeDefinition>
    <Identifier>AmbiguousClass</Identifier>
    <DisplayName>Ambiguous Class</DisplayName>
    <Description>Describes a class which has ambiguous parameter</Description>
    <DataType>
      <Structure>
        <Element>
          <Identifier>Message</Identifier>
          <DisplayName>Message</DisplayName>
          <Description />
          <DataType>
            <Basic>String</Basic>
          </DataType>
        </Element>
        <Element>
          <Identifier>AmbiguousChannel</Identifier>
          <DisplayName>AmbiguousChannel</DisplayName>
          <Description />
          <DataType>
            <Basic>String</Basic>
          </DataType>
        </Element>
      </Structure>
    </DataType>
  </DataTypeDefinition>
  <Command>
    <Identifier>CheckAmbiguousEntries</Identifier>
    <DisplayName>Check Ambiguous Entries</DisplayName>
    <Description />
    <Observable>Yes</Observable>
    <Response>
      <Identifier>ReturnValue</Identifier>
      <DisplayName>Return Value</DisplayName>
      <Description />
      <DataType>
        <DataTypeIdentifier>AmbiguousClass</DataTypeIdentifier>
      </DataType>
    </Response>
  </Command>
  <Command>
    <Identifier>OverloadedMethod</Identifier>
    <DisplayName>Overloaded Method</DisplayName>
    <Description />
    <Observable>No</Observable>
    <Parameter>
      <Identifier>Method</Identifier>
      <DisplayName>Method</DisplayName>
      <Description />
      <DataType>
        <Basic>String</Basic>
      </DataType>
    </Parameter>
  </Command>
</Feature>